![ATAK screenshot with PyTAK logo.](https://adsbcot.readthedocs.io/en/latest/media/atak_screenshot_with_pytak_logo-x25.png)

# Display Aircraft in TAK - ADS-B feed to TAK Gateway 

ADSBXCOT is software for monitoring and analyzing aviation surveillance data via the Team Awareness Kit (TAK) ecosystem of products.

For detailed documentation, visit the [official documentation](https://adsbxcot.rtfd.io).

## Features

- Converts ADS-B messages to Cursor on Target (CoT) format.
- Compatible with TAK products: ATAK, WinTAK, and iTAK.
- Supports multiple ADS-B data aggregators.
- Retains aircraft track, course, speed, and metadata.
- Runs on Python 3.7+ in both Windows and Linux environments.

## Supported ADS-B Aggregators

- ADS-B Exchange: https://www.adsbexchange.com/
- adsb.fi: https://adsb.fi/
- ADS-B Hub: https://www.adsbhub.org/
- Airplanes.Live: https://airplanes.live/

## Related Projects

- [ADSBCOT](https://adsbcot.rtfd.io): For users with their own ADS-B receiver.
- [AirTAK](https://www.snstac.com/store/p/airtak-v1): A turn-key ADS-B to TAK Gateway solution.

## Copyright & License

Copyright Sensors & Signals LLC https://www.snstac.com

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

